### Enumeration

# GWeather Sky

since: 4.0

#### Declaration

    enum GWeather.Sky

#### Description [src]

The sky and cloud visibility. In general it is discouraged to use this value directly to compute the forecast icon: applications should instead use `gweather_info_get_icon_name()` or gweather_info_get_symbolic_icon_name().

Available since: 4.0

#### Members

`GWEATHER_SKY_INVALID`

  Value not available.

  - Value: `-1`
  - Nickname: `invalid`
  - Available since: 4.0
`GWEATHER_SKY_CLEAR`

  Sky completely clear, no clouds visible.

  - Value: `0`
  - Nickname: `clear`
  - Available since: 4.0
`GWEATHER_SKY_BROKEN`

  Sky mostly clear, few clouds.

  - Value: `1`
  - Nickname: `broken`
  - Available since: 4.0
`GWEATHER_SKY_SCATTERED`

  Sky mostly clear, patches of clouds.

  - Value: `2`
  - Nickname: `scattered`
  - Available since: 4.0
`GWEATHER_SKY_FEW`

  Few clouds, sky cloudy but patches of sky visible.

  - Value: `3`
  - Nickname: `few`
  - Available since: 4.0
`GWEATHER_SKY_OVERCAST`

  Sky completely clouded, sun not visible.

  - Value: `4`
  - Nickname: `overcast`
  - Available since: 4.0
`GWEATHER_SKY_LAST`

  The maximum value for the enumeration.

  - Value: `5`
  - Nickname: `last`
  - Available since: 4.0

#### Type functions

###### gweather_sky_to_string

No description available.

since: 4.0

###### gweather_sky_to_string_full

No description available.

since: 4.0